| bio-0.4.6: A bioinformatics library | Source code | Contents | Index

Bio.Util.TestBase

Synopsis

data Test = forall t . Testable t => T String t
newtype Nucleotide = N Char
newtype Quality = Q Word8
fromN :: Nucleotide -> Char
fromQ :: Quality -> Word8
newtype EST = E (Sequence Nuc)
newtype ESTq = Eq (Sequence Nuc)
newtype Protein = P (Sequence Amino)
newtype EST_short = ES (Sequence Nuc)
newtype EST_long = EL (Sequence Nuc)
newtype EST_set = ESet [Sequence Nuc]
time :: String -> IO () -> IO ()
showT :: Integral a => a -> String
integralRandomR :: (Integral a, RandomGen g) => (a, a) -> g -> (a, g)
genOffset :: Gen Offset
genNonNegOffset :: Gen Offset
genPositiveOffset :: Gen Offset

Documentation

data Test | Source

Constructors

forall t . Testable t => T String t |

newtype Nucleotide | Source

Constructors

N Char |

Instances

Show Nucleotide
Arbitrary Nucleotide

newtype Quality | Source

Constructors

Q Word8 |

Instances

Show Quality
Arbitrary Quality

fromN :: Nucleotide -> Char | Source

fromQ :: Quality -> Word8 | Source

newtype EST | Source

For testing, variable lengths
Constructors

E (Sequence Nuc) |

Instances

Show EST
Arbitrary EST

newtype ESTq | Source

Constructors

Eq (Sequence Nuc) |

Instances

Show ESTq
Arbitrary ESTq

newtype Protein | Source

Constructors

P (Sequence Amino) |

Instances

Show Protein

newtype EST_short | Source

For benchmarking, fixed lengths
Constructors

ES (Sequence Nuc) |

Instances

Show EST_short
Arbitrary EST_short

newtype EST_long | Source

Constructors

EL (Sequence Nuc) |

Instances

Show EST_long
Arbitrary EST_long

newtype EST_set | Source

Constructors

ESet [Sequence Nuc] |

Instances

Show EST_set
Arbitrary EST_set

time :: String -> IO () -> IO () | Source

Take time (CPU and wall clock) and report it

showT :: Integral a => a -> String | Source

Print a CPUTime difference

integralRandomR :: (Integral a, RandomGen g) => (a, a) -> g -> (a, g) | Source

Shamelessly stolen from FPS

genOffset :: Gen Offset | Source

Constrained position generators

genNonNegOffset :: Gen Offset | Source

genPositiveOffset :: Gen Offset | Source

Produced by Haddock version 2.4.2